API reference · Types
OrderWebhookShippingAddress
Part of the response of 14 operations and the payload of 4 webhooks.
Type: object
Example
{
"line1": "123 Sandbox Avenue",
"line2": "Unit 4",
"city": "Toronto",
"province": "ON",
"postal_code": "M5V 2T6",
"country": "CA"
}Fields
line1string requiredThe street address.
Example
123 Sandbox Avenueline2string or null requiredThe unit, suite, or second address line, if supplied.
Example
Unit 4citystring requiredThe city in the shipping address.
Example
Torontoprovincestring requiredThe Canadian province or territory in the delivery address.
Example
ONpostal_codestring requiredThe Canadian postal code in the delivery address.
Example
M5V 2T6countrystring requiredISO 3166-1 alpha-2 country code.
Example
CA
Used by
GET /orders- Poll orders (response)GET /orders/{orderId}- Get one order (response)PATCH /orders/{orderId}/fulfillment- Update fulfillment (response)POST /orders/{orderId}/cancel- Cancel an order (response)POST /orders/{orderId}/refunds- Create a refund (response)GET /orders/{orderId}/change-requests- List an order's change requests (response)POST /orders/{orderId}/change-requests- File a fulfillment report (response)POST /orders/{orderId}/change-requests/{requestId}/accept- Accept a change request (response)POST /orders/{orderId}/change-requests/{requestId}/decline- Decline a change request (response)POST /orders/{orderId}/change-requests/{requestId}/withdraw- Withdraw a fulfillment report (response)POST /sandbox/orders/{orderId}/change-requests- Have the sandbox buyer ask for a change (response)POST /sandbox/orders/{orderId}/change-requests/{requestId}/answer- Have the sandbox buyer answer a fulfillment report (response)POST /orders/{orderId}/corrections- Correct the ship-to address (response)POST /orders/{orderId}/address-verification/retry- Retry address verification (response)order.created- Order created (payload)order.updated- Order updated (payload)order.change_request.created- Change request created (payload)order.change_request.resolved- Change request resolved (payload)